/*
	File:		Utitlities.h

	Contains:	General utility routines

	Written by:	Chris White, Developer Technical Support
	
	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
	
	Change History (most recent first):
	
				  9/28/95	CW		First release

*/

#ifndef __UTILITIES__
#define __UTILITIES__



#ifndef __FRAGMENTTOOL__
	#include "FragmentTool.h"
#endif






void AlertUser ( short messageCode, short errorNum, StringPtr theString );

StringPtr CopyPStr ( Str255	inSourceStr, StringPtr outDestStr, int16 inDestSize );
StringPtr ConcatPStr ( Str255 ioFirstStr, Str255 inSecondStr, int16 inDestSize );
StringPtr OSTypeToPStr ( OSType inOSType, StringPtr outString );

void BlockClear ( Ptr ptr, char value, Size size );

pascal void OutlineUserItem ( DialogRef theDialog, short theItem );

Boolean IsAResource ( Handle theHan );

OSErr CreateTemporaryFile ( FSSpecPtr theSpec );





#endif