#   File:       FragmentTool.make
#   Target:     FragmentTool
#   Sources:    FragmentTool.r
#               :Sources:AppleEventStuff.c
#               :Sources:DialogStuff.c
#               :Sources:DragStuff.c
#               :Sources:Fragments.c
#               :Sources:FragmentTool.c
#               :Sources:Initialize.c
#               :Sources:Lists.c
#               :Sources:MenusStuff.c
#               :Sources:Streams.c
#               :Sources:Utilities.c
#               :Sources:Windows.c
#   Created:    Thursday, September 28, 1995 06:50:36 PM


MAKEFILE     = FragmentTool.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =
Sym68K      = 
ObjDir68K   = :Objects:

COptions     = {Includes} {Sym68K} 

Objects68K  = 
		"{ObjDir68K}AppleEventStuff.c.o" 
		"{ObjDir68K}DialogStuff.c.o" 
		"{ObjDir68K}DragStuff.c.o" 
		"{ObjDir68K}Fragments.c.o" 
		"{ObjDir68K}FragmentTool.c.o" 
		"{ObjDir68K}Initialize.c.o" 
		"{ObjDir68K}Lists.c.o" 
		"{ObjDir68K}MenusStuff.c.o" 
		"{ObjDir68K}Streams.c.o" 
		"{ObjDir68K}Utilities.c.o" 
		"{ObjDir68K}Windows.c.o"


FragmentTool  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c '????' 
		"{Libraries}Runtime.o" 
		"{Libraries}Interface.o"


FragmentTool  {MondoBuild} FragmentTool.r
	Rez FragmentTool.r -o {Targ} {Includes} -append


"{ObjDir68K}AppleEventStuff.c.o"  {MondoBuild} :Sources:AppleEventStuff.c
	{C} :Sources:AppleEventStuff.c -o {Targ} {COptions}

"{ObjDir68K}DialogStuff.c.o"  {MondoBuild} :Sources:DialogStuff.c
	{C} :Sources:DialogStuff.c -o {Targ} {COptions}

"{ObjDir68K}DragStuff.c.o"  {MondoBuild} :Sources:DragStuff.c
	{C} :Sources:DragStuff.c -o {Targ} {COptions}

"{ObjDir68K}Fragments.c.o"  {MondoBuild} :Sources:Fragments.c
	{C} :Sources:Fragments.c -o {Targ} {COptions}

"{ObjDir68K}FragmentTool.c.o"  {MondoBuild} :Sources:FragmentTool.c
	{C} :Sources:FragmentTool.c -o {Targ} {COptions}

"{ObjDir68K}Initialize.c.o"  {MondoBuild} :Sources:Initialize.c
	{C} :Sources:Initialize.c -o {Targ} {COptions}

"{ObjDir68K}Lists.c.o"  {MondoBuild} :Sources:Lists.c
	{C} :Sources:Lists.c -o {Targ} {COptions}

"{ObjDir68K}MenusStuff.c.o"  {MondoBuild} :Sources:MenusStuff.c
	{C} :Sources:MenusStuff.c -o {Targ} {COptions}

"{ObjDir68K}Streams.c.o"  {MondoBuild} :Sources:Streams.c
	{C} :Sources:Streams.c -o {Targ} {COptions}

"{ObjDir68K}Utilities.c.o"  {MondoBuild} :Sources:Utilities.c
	{C} :Sources:Utilities.c -o {Targ} {COptions}

"{ObjDir68K}Windows.c.o"  {MondoBuild} :Sources:Windows.c
	{C} :Sources:Windows.c -o {Targ} {COptions}

