/*
	File:		Menus.c

	Contains:	Handles the application's menus

	Written by:	Chris White, Developer Technical Support
	
	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
	
	Change History (most recent first):
	
				  9/28/95	CW		First release

*/



#ifndef __MENUSTUFF__
#define __MENUSTUFF__




enum
{
	/* Menu ID numbers */
	
	kMenuBarID = 1000,
	kAppleMenu = 1000,
	kFileMenu,
	kEditMenu,
	kFragmentMenu
};



enum
{
	/* Apple menu commands */
	
	cAbout = 1
};



enum
{
	/* File menu commands */
	
	cNew = 1,
	cOpen,
	cClose,
	/* --- */
	cSave = 5,
	cSaveAs,
	/* --- */
	cQuit = 8
};



enum
{
	/* Fragment menu commands */
	
	cGetInfo = 1,
	cExports,
	/* --- */
	cMoveTo = 4,
	cCopyTo,
	/* --- */
	cRemove = 7
};



#endif	// define __MENUSTUFF__